# class Fiddle::CompositeHandler

Used internally by `Fiddle::Importer`

### Public Class Methods

new (handlers)
Source

    # File ext/fiddle/lib/fiddle/import.rb, line 13
    def initialize(handlers)
      @handlers = handlers
    end

Create a new handler with the open `handlers`

Used internally by `Fiddle::Importer.dlload`

### Public Instance Methods

[] (symbol)
Source

    # File ext/fiddle/lib/fiddle/import.rb, line 40
    def [](symbol)
      sym(symbol)
    end

See `Fiddle::CompositeHandler.sym`

handlers ()
Source

    # File ext/fiddle/lib/fiddle/import.rb, line 18
    def handlers()
      @handlers
    end

`Array` of the currently loaded libraries.

sym (symbol)
Source

    # File ext/fiddle/lib/fiddle/import.rb, line 26
    def sym(symbol)
      @handlers.each{|handle|
        if( handle )
          begin
            addr = handle.sym(symbol)
            return addr
          rescue DLError
          end
        end
      }
      return nil
    end

Returns the address as an `Integer` from any handlers with the function named `symbol`.

Raises a `DLError` if the handle is closed.